apistockdocs
API reference/Auth

Start a passkey second factor

POST/v1/auth/login/mfa/passkey

After a 202 from `POST /v1/auth/login` listing `passkey`: returns options limited to the account's passkeys. Send the response to `POST /v1/auth/login/mfa`.

no auth

Request body application/json · required

challenge_tokenstringrequired

From the 202 response of POST /v1/auth/login

max length 256

Responses

200OKapplication/json
ceremony_tokenstringrequired

Send it back with the passkey's response. It is shown once and expires after 5 minutes.

expires_atstring (date-time)required
optionsanyrequired

Pass to navigator.credentials.create() or navigator.credentials.get() (PublicKeyCredential.parseCreationOptionsFromJSON or parseRequestOptionsFromJSON reads them)

401Unauthorizedapplication/problem+json
codestringrequired

Stable machine-readable error code

detailstring

Human-readable explanation

errorsarray of object

Field-level validation errors

request_idstring

Correlates with server logs and traces

statusinteger (int64)required

HTTP status code

titlestringrequired

Short summary of the problem type

typestring

URI identifying the problem type

422Unprocessable Entityapplication/problem+json
codestringrequired

Stable machine-readable error code

detailstring

Human-readable explanation

errorsarray of object

Field-level validation errors

request_idstring

Correlates with server logs and traces

statusinteger (int64)required

HTTP status code

titlestringrequired

Short summary of the problem type

typestring

URI identifying the problem type

500Internal Server Errorapplication/problem+json
codestringrequired

Stable machine-readable error code

detailstring

Human-readable explanation

errorsarray of object

Field-level validation errors

request_idstring

Correlates with server logs and traces

statusinteger (int64)required

HTTP status code

titlestringrequired

Short summary of the problem type

typestring

URI identifying the problem type

503Service Unavailableapplication/problem+json
codestringrequired

Stable machine-readable error code

detailstring

Human-readable explanation

errorsarray of object

Field-level validation errors

request_idstring

Correlates with server logs and traces

statusinteger (int64)required

HTTP status code

titlestringrequired

Short summary of the problem type

typestring

URI identifying the problem type

v0.5
esc
↑↓ move↵ openesc close